﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SDRSharp.Common;
using SDRSharp.Radio;

namespace SDRSharp.DDETracker
{
    public class DdeTrackingPlugin: ISharpPlugin
    {
        private const string _displayName = "Tracking DDE Client";
        private DdeTrackingPanel _gui;
       

        public bool HasGui
        {
            get { return true; }
        }

        public string DisplayName
        {
            get { return "DDE Tracking Client"; }
        }

        public UserControl Gui
        {
            get { return _gui; }
        }

        public void Initialize(ISharpControl control)
        {            
            _gui = new DdeTrackingPanel(control);
        }

        public void Close()
        {
        }
    }
}
